#!/bin/bash -e

install -m 644 files/octoprint.service ${ROOTFS_DIR}/etc/systemd/system/octoprint.service 

on_chroot << EOF
if ! pip list | grep -F octoprint; then
  if [ -d /home/octoprint ]; then
    cd /home/octoprint || exit 1
    if [[ ! -d OctoPrint ]]; then mkdir OctoPrint; fi || exit 1
    cd OctoPrint || exit 1
    virtualenv venv || exit 1
    source venv/bin/activate || exit 1
    pip install pip --upgrade || exit 1
    pip install octoprint || exit 1
    pip install "https://github.com/BillyBlaze/OctoPrint-TouchUI/archive/master.zip" || exit 1
  fi
fi
EOF
